import os
import apt
import apt_pkg
import apt.progress

#os.environ['RELEASE_UPGRADE_IN_PROGRESS'] = '1'
#os.environ['PYCENTRAL_NO_DPKG_QUERY'] = '1'
#os.environ['PYCENTRAL_FORCE_OVERWRITE'] = '1'
#os.environ['DEBIAN_FRONTEND'] = 'noninteractive'

# First of all, open the cache

apt_pkg.InitConfig()
apt_pkg.Config.Set('DPkg::Options::', '--force-confask')
apt_pkg.InitSystem()
cache = apt.Cache(apt.progress.text.OpProgress())
apt_pkg.InitConfig()
apt_pkg.Config.Set('DPkg::Options::', '--force-confask')
apt_pkg.InitSystem()


# Now, lets update the package list
cache.update()
# We need to re-open the cache because it needs to read the package list
cache.open(None)
# Now we can do the same as 'apt-get upgrade' does
cache.upgrade()
# or we can play 'apt-get dist-upgrade'
cache.upgrade(True)

#cache['desktop-file-utils'].mark_install()
#cache['twitux'].mark_delete()

# Q: Why does nothing happen?
# A: You forgot to call commit()!
apt_pkg.InitConfig()
apt_pkg.Config.Set('DPkg::Options::', '--force-confask')
apt_pkg.InitSystem()
cache.commit()
